<?php 
	include 'logger.php';
	
	include "settings.php";
    $db = new mysqli ($DB_HOST,$DB_USER,$DB_PASS,$DB_NAME);
    $db->query("SET CHARSET SET utf8");
    $db->query("SET NAMES 'utf8'");
    if (mysqli_connect_errno()) {
    echo "Error connecting to DB";
    exit;
    }
	
	
	$data = $_REQUEST['data'];
	$data = stripslashes($data);
    $arraydata = (array)json_decode($data,true);
	if 	(count($arraydata)==0)
    {
        $arr_data=explode('?',$data,2);
    }
	
	writeToLogFile( date('Y-m-d H:i:s').' | arr_data[0] | '.$arr_data[0] );
	
	if ($arr_data[0]=='sendFoto')
    {
        $sendFotoData = $arr_data[1];        
        $sendFotoDataArray = explode(';;;;;', $sendFotoData);
        $fotoString = $sendFotoDataArray[0];          
		
		//writeToLogFile( date('Y-m-d H:i:s').' | fotoString | '.$fotoString );
		//writeToLogFile( date('Y-m-d H:i:s').' | sendFotoDataArray[2] | '.$sendFotoDataArray[2] );
		
        //$path = $_SERVER['DOCUMENT_ROOT']."/SFA/photo";
		$path = $IMAGE_PATH;
		
		$namePhoto = 'photo.png';
        $handle = fopen($path."/temp.png", 'a');    //открыть файл для записи, курсор в конец
		fputs($handle, $fotoString);            // добавить строку в файл
        fclose($handle);
		
        if ($sendFotoDataArray[2]=="end")
        {

		//writeToLogFile( date('Y-m-d H:i:s').' | ADD | '.$sendFotoDataArray[3].'-'.$sendFotoDataArray[4].'-'.$sendFotoDataArray[5].'-'.$sendFotoDataArray[6].'-'.$sendFotoDataArray[7].'-'.$sendFotoDataArray[8].'-'.$sendFotoDataArray[9].'-'.$sendFotoDataArray[10].'-'.$sendFotoDataArray[11] );
		
          $handle = fopen($path."/temp.png", 'r');
          $stringFile64 = file_get_contents($path."/temp.png");
          fclose($handle);                          // удалить временный файл
          unlink($path."/temp.png");                              // удалить временный файл
          $stringFile64 = str_replace(" ","+",$stringFile64);       // \r\n
          $stringFile64 = str_replace("*****","\r",$stringFile64);       // \r\n
         
          
          $pathArray = explode("/",$sendFotoDataArray[1]);
          $namePhoto = $pathArray[4];
          $handle = fopen($path."/".$namePhoto, 'w');
          $stringFile = base64_decode($stringFile64);
          fwrite($handle,$stringFile);
          fclose($handle);
          //echo 'trueDelete';
		  
		  if($sendFotoDataArray[4]==0){ $status = 'Черновик'; }else{ $status = 'Чистовик'; }
		  if($sendFotoDataArray[5]==0){ $type = 'Общий вид'; }elseif($sendFotoDataArray[5]==1){$type='Полка';}else{ $type = 'Стелаж'; }
		  
		$query = "INSERT INTO `ms_photo` (`photo`,`description`,`status`,`type`,`date`,`latitude`,`longitude`,`id_cat`,`id_brand`,`id_visit`) VALUES('".$path."/".$namePhoto."', '".$sendFotoDataArray[3]."', '".$status."', '".$type."', '".$sendFotoDataArray[6]."', '".$sendFotoDataArray[7]."', '".$sendFotoDataArray[8]."', ".$sendFotoDataArray[9].", ".$sendFotoDataArray[10].", ".$sendFotoDataArray[11].");";
		writeToLogFile( date('Y-m-d H:i:s').' | query | '.$query );
		$stmt = $db->prepare($query);
		$stmt->execute();
        $stmt->close();
		$db->close();
		}
        if (is_readable($path."/".$namePhoto)){echo 'delete';}else{echo 'true';} 
    }
?>